Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 187051 - Too much time spent in the iteration over the indexedIndexables in LI.store()
Too much time spent in the iteration over the indexedIndexables in LI.store()
Status: VERIFIED FIXED
Product: editor
Classification: Unclassified
Component: Parsing & Indexing
6.x
PC Mac OS X
: P2 (vote)
: 7.0
Assigned To: Tomas Zezula
issues@editor
cndreq, 69patch1-verified
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-01 18:51 UTC by Tomas Zezula
Modified: 2010-07-09 11:22 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Zezula 2010-06-01 18:51:20 UTC
Too much time spent in the iteration over the indexedIndexables in LI.store() when indexing large projects with lots of embeddings.
Comment 1 Tomas Zezula 2010-06-01 19:00:08 UTC
FIxed jet-main 5054a03fdae6
Comment 2 Tomas Zezula 2010-06-02 17:03:15 UTC
I've also changed the ProxyIterable to allow caching, 0da5348f1db4.
This seems to help also.
Originally before the fix: ~ 18 min, after the fix ~ 10 min, with the fix and with cache in ProxyIterable ~6 mins.
I will integrate it tomorrow into jet-main
Comment 3 Quality Engineering 2010-06-04 06:06:42 UTC
Integrated into 'main-golden', will be available in build *201006040001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/5054a03fdae6
User: Tomas Zezula <tzezula@netbeans.org>
Log: #187051:Too much time spent in the iteration over the indexedIndexables in LI.store
Comment 4 rbalada 2010-06-16 08:54:55 UTC
Please verify bugfix for this bug, so it can be included in release691 repository.

Thanks,
-R
Comment 5 Vitezslav Stejskal 2010-06-17 10:23:57 UTC
I trust Tomas ;-).
Comment 6 rbalada 2010-06-17 10:57:06 UTC
And I trust you Vita!
Comment 7 rbalada 2010-06-18 08:36:49 UTC
and now you have to trust me :-)

main #0da5348f1db4 transplanted to release691 #64bfc8a74465
main #5054a03fdae6 *ported* to release691 #67a55094365e
Comment 8 Jaromir Uhrik 2010-07-09 10:56:10 UTC
I trust Rudolf => Verified in 691. Of course I have checked changesets in release691 repository.
Comment 9 Martin Fousek 2010-07-09 11:22:56 UTC
I trust all of you but for assurance I asked Tomas for steps for reproducing.
:D It looks really well in 6.9.1, I did the same task as Tomas on another HW
and it takes about 7 mins. It's really great progress.

Verified in NetBeans IDE 6.9.1 Dev (Build 201007062301).


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo